
<?php
$products = [
    ['Id' => 1, 'Назва' => 'Товар 1', 'Країна_виробника' => 'Україна', 'Ціна' => 10],
    ['Id' => 2, 'Назва' => 'Товар 2', 'Країна_виробника' => 'США', 'Ціна' => 20],
    ['Id' => 3, 'Назва' => 'Товар 3', 'Країна_виробника' => 'Китай', 'Ціна' => 15],
    ['Id' => 4, 'Назва' => 'Товар 4', 'Країна_виробника' => 'Франція', 'Ціна' => 30],
    ['Id' => 5, 'Назва' => 'Товар 5', 'Країна_виробника' => 'Італія', 'Ціна' => 25],
    ['Id' => 6, 'Назва' => 'Товар 6', 'Країна_виробника' => 'Німеччина', 'Ціна' => 22],
];




if (isset($_GET['id'])) {
    $id = $_GET['id'];
    $product = null;


    foreach ($products as $p) {
        if ($p['Id'] == $id) {
            $product = $p;
            break;
        }
    }

    if ($product) {
        $назва = $product['Назва'];
        $країна = $product['Країна_виробника'];
        $ціна = $product['Ціна'];
    } else {
        $назва = "Товар не знайдено";
        $країна = "";
        $ціна = "";
    }
} else {
    $назва = "Товар не вибраний";
    $країна = "";
    $ціна = "";
}
$file = fopen('data2.csv', 'w');

$firstRow = $products[0];
fputcsv($file, array_keys($firstRow));

foreach ($products as $row) {
    fputcsv($file, $row);
}
?>


<!DOCTYPE html>
<html>
<head>
    <title>Інформація про Товар</title>
</head>
<body>
<h1><?php echo $назва; ?></h1>
<p>Країна виробника: <?php echo $країна; ?></p>
<p>Ціна: <?php echo $ціна; ?></p>
<a href="index.php">Повернутися до списку товарів</a>
</body>
</html>